Request a review for user onboarding
curl --request POST \
--url https://app.sandbox.rio.trade/api/users/{id}/review \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/review"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"platformFeeRanges": {
"MX": {
"buy": [
{}
],
"sell": [
{}
]
},
"PE": {
"buy": [
{}
],
"sell": [
{}
]
},
"CO": {
"buy": [
{}
],
"sell": [
{}
]
}
},
"createdAt": "2025-07-16T19:24:51.284Z",
"type": "business",
"phoneNumber": "+525561310992",
"email": "email@testing.test",
"attributes": [
"broker"
],
"address": {
"street1": "Amsterdam 76",
"street2": null,
"city": "Mexico City",
"state": "CDMX",
"country": "MX",
"postalCode": "06100"
},
"brokerId": "6757546b4c5d19bf3cd7b09c",
"onboarding": {
"country": "MX",
"status": "review",
"hasAcceptedTerms": true,
"aipriseUserVerificationSessionUrl": "https://verify-sandbox.aiprise.com/verification_session_id=bb321d1a-8037-44bf-a520-c9e2995fbb4d"
},
"businessData": {
"businessName": "Company Name"
},
"individualData": {
"firstName": "Name",
"middleName": "Middle Name",
"lastName": "Name",
"secondLastName": "Last Name"
},
"id": "6877fc83509bb1423ee38202"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Users API
Request a review for user onboarding
POST
/
api
/
users
/
{id}
/
review
Request a review for user onboarding
Authorizations
Path Parameters
ID of the user.
Example:
"66562bc04fe8bf83c577c178"
Response
OK
Show child attributes
Show child attributes
Creation date of the user.
Example:
"2025-07-16T19:24:51.284Z"
Type of the user.
Example:
"business"
Phone number of the user.
Example:
"+525561310992"
Email of the user.
Example:
"email@testing.test"
User attributes and permissions
Example:
["broker"]
Show child attributes
Show child attributes
ID of the broker.
Example:
"6757546b4c5d19bf3cd7b09c"
Show child attributes
Show child attributes
Business data (for business users only).
Show child attributes
Show child attributes
Individual data (for individual users only).
Show child attributes
Show child attributes
ID of the user.
Example:
"6877fc83509bb1423ee38202"
⌘I